Skip site navigation (1)Skip section navigation (2)
Date:      Fri, 23 Mar 2001 14:49:18 +0200
From:      Peter Pentchev <roam@orbitel.bg>
To:        Maxim Sobolev <sobomax@FreeBSD.org>
Cc:        Ville Eerola <ve@sci.fi>, Doug Barton <DougB@DougBarton.net>, ports@FreeBSD.ORG
Subject:   Re: fetchmail port broken on releng_3
Message-ID:  <20010323144918.I17216@ringworld.oblivion.bg>
In-Reply-To: <3ABB3D58.5979B11C@FreeBSD.org>; from sobomax@FreeBSD.org on Fri, Mar 23, 2001 at 02:11:04PM %2B0200
References:  <3ABA701A.726DFA85@yahoo-inc.com> <3ABAFEC8.62BC5188@DougBarton.net> <20010323131917.B17216@ringworld.oblivion.bg> <3ABB3D58.5979B11C@FreeBSD.org>

next in thread | previous in thread | raw e-mail | index | archive | help
On Fri, Mar 23, 2001 at 02:11:04PM +0200, Maxim Sobolev wrote:
> Peter Pentchev wrote:
> 
> > How about the following patch instead?  It incorporates your fix
> > (sorry about that, when I submitted patches adding Kerberos and SSL
> > support, I had already upgraded to 4.x; never had a chance to test
> > anything on RELENG_3), and adds the correct fix to the NLS build -
> > I've already submitted the aclocal.m4 fix to the fetchmail-friends
> > list.  It seems that aclocal.m4 was NOT generated from the latest
> > version of configure.in and friends :(  The patch-aclocal.m4 resulted
> > directly from an aclocal invocation :(
> >
> > I could commit this ASAP, pending maintainer approval.
> >
[snip]
>
> Have you tested build on a system without auto{make,conf} installed?

Hrm.  OK, so ESR has slipped up again - configure checks correctly
for a missing autoconf/automake/whatever, but fetchmail does not provide
a 'missing' script.  Updated patch follows, problem reported to ESR
and fetchmail-friends, hopefully to be fixed in the next release.

Actually, there are two issues here - the libintl thing is only added
by the aclocal.m4, which is only picked up by an aclocal.. ARGH!
Alright, so we'll have to keep the -lintl addition to LDFLAGS, until
the configure script is regenerated with the correct aclocal.m4 :(

I think those two fixes are the correct way of fixing things - the 'missing'
script is part of the GNU configure ideology, and configure scripts were
designed to work properly without autoconf installed on the system.
It's just the fact that ESR has not provided such a script that breaks
the fetchmail build when no autoconf is present.  And the other issue..
well, if there is autoconf on the system, aclocal.m4 shall pick up
-lintl anyway, and there's no harm in having it twice.  If there isn't,
then yes, your addition to LDFLAGS was needed.  Sorry for not recognizing
it from the start :(

G'luck,
Peter

-- 
I've heard that this sentence is a rumor.

Index: ports/mail/fetchmail/Makefile
===================================================================
RCS file: /home/ncvs/ports/mail/fetchmail/Makefile,v
retrieving revision 1.120
diff -u -r1.120 Makefile
--- ports/mail/fetchmail/Makefile	2001/03/20 11:04:35	1.120
+++ ports/mail/fetchmail/Makefile	2001/03/23 12:47:48
@@ -10,7 +10,7 @@
 # want fetchmailconf to work, define WITH_X11
 
 PORTNAME=	fetchmail
-PORTVERSION=	5.7.4
+PORTVERSION=	5.7.6
 CATEGORIES=	mail ipv6
 MASTER_SITES=	http://www.tuxedo.org/~esr/fetchmail/ \
 		ftp://ftp.ccil.org/pub/esr/fetchmail/
@@ -37,9 +37,10 @@
 
 .if ${OSVERSION} >= 400014
 CONFIGURE_ARGS+=--enable-inet6
+.endif
+
 .if exists(/usr/lib/libssl.a) && exists(/usr/lib/libcrypto.a)
 CONFIGURE_ARGS+=--with-ssl=/usr
-.endif
 .elif exists(${LOCALBASE}/lib/libssl.a) && exists(${LOCALBASE}/lib/libcrypto.a)
 CONFIGURE_ARGS+=-with-includes=${LOCALBASE}/include/openssl --with-ssl=${LOCALBASE}
 .endif
@@ -62,6 +63,9 @@
 	@${CP} -f  /usr/include/md5.h ${WRKSRC}
 	@${PERL} -pi.bak -e 's|^#!/.*/python|#!${PREFIX}/bin/python|;' ${WRKSRC}/fetchmailconf
 	@${SED} -e "s|@PREFIX@|${PREFIX}|" ${FILESDIR}/fetchmailconf > ${WRKDIR}/fetchmailconf
+
+pre-configure:
+	${INSTALL_SCRIPT} ${FILESDIR}/missing ${WRKSRC}
 
 post-install:
 .if !defined(NOPORTDOCS)
Index: ports/mail/fetchmail/distinfo
===================================================================
RCS file: /home/ncvs/ports/mail/fetchmail/distinfo,v
retrieving revision 1.99
diff -u -r1.99 distinfo
--- ports/mail/fetchmail/distinfo	2001/03/17 12:08:09	1.99
+++ ports/mail/fetchmail/distinfo	2001/03/23 12:47:48
@@ -1 +1 @@
-MD5 (fetchmail-5.7.4.tar.gz) = 9aeb8702da10b8309cfc07d7e22283aa
+MD5 (fetchmail-5.7.6.tar.gz) = b2103e7729b933c0eff4c16d531eb072
Index: ports/mail/fetchmail/files/missing
===================================================================
RCS file: missing
diff -N missing
--- /dev/null	Fri Mar 23 04:45:23 2001
+++ ports/mail/fetchmail/files/missing	Fri Mar 23 04:47:48 2001
@@ -0,0 +1,134 @@
+#! /bin/sh
+# Common stub for a few missing GNU programs while installing.
+# Copyright (C) 1996, 1997 Free Software Foundation, Inc.
+# Franc,ois Pinard <pinard@iro.umontreal.ca>, 1996.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
+# 02111-1307, USA.
+
+if test $# -eq 0; then
+  echo 1>&2 "Try \`$0 --help' for more information"
+  exit 1
+fi
+
+case "$1" in
+
+  -h|--h|--he|--hel|--help)
+    echo "\
+$0 [OPTION]... PROGRAM [ARGUMENT]...
+
+Handle \`PROGRAM [ARGUMENT]...' for when PROGRAM is missing, or return an
+error status if there is no known handling for PROGRAM.
+
+Options:
+  -h, --help      display this help and exit
+  -v, --version   output version information and exit
+
+Supported PROGRAM values:
+  aclocal      touch file \`aclocal.m4'
+  autoconf     touch file \`configure'
+  autoheader   touch file \`config.h.in'
+  automake     touch all \`Makefile.in' files
+  bison        touch file \`y.tab.c'
+  makeinfo     touch the output file
+  yacc         touch file \`y.tab.c'"
+    ;;
+
+  -v|--v|--ve|--ver|--vers|--versi|--versio|--version)
+    echo "missing - GNU libit 0.0"
+    ;;
+
+  -*)
+    echo 1>&2 "$0: Unknown \`$1' option"
+    echo 1>&2 "Try \`$0 --help' for more information"
+    exit 1
+    ;;
+
+  aclocal)
+    echo 1>&2 "\
+WARNING: \`$1' is missing on your system.  It should be needed only if
+         you modified \`acinclude.m4' or \`configure.in'.  You might want
+         to install the \`Automake' and \`Perl' packages.  Grab them from
+         any GNU archive site."
+    touch aclocal.m4
+    ;;
+
+  autoconf)
+    echo 1>&2 "\
+WARNING: \`$1' is missing on your system.  It should be needed only if
+         you modified \`configure.in'.  You might want to install the
+         \`Autoconf' and \`GNU m4' packages.  Grab them from any GNU
+         archive site."
+    touch configure
+    ;;
+
+  autoheader)
+    echo 1>&2 "\
+WARNING: \`$1' is missing on your system.  It should be needed only if
+         you modified \`acconfig.h' or \`configure.in'.  You might want
+         to install the \`Autoconf' and \`GNU m4' packages.  Grab them
+         from any GNU archive site."
+    touch config.h.in
+    ;;
+
+  automake)
+    echo 1>&2 "\
+WARNING: \`$1' is missing on your system.  It should be needed only if
+         you modified \`Makefile.am', \`acinclude.m4' or \`configure.in'.
+         You might want to install the \`Automake' and \`Perl' packages.
+         Grab them from any GNU archive site."
+    find . -type f -name Makefile.am -print \
+      | sed 's/^\(.*\).am$/touch \1.in/' \
+      | sh
+    ;;
+
+  bison|yacc)
+    echo 1>&2 "\
+WARNING: \`$1' is missing on your system.  It should be needed only if
+         your modified any \`.y' file.  For being effective, your
+         modifications might require the \`Bison' package.  Grab it from
+         any GNU archive site."
+    touch y.tab.c
+    ;;
+
+  makeinfo)
+    echo 1>&2 "\
+WARNING: \`$1' is missing on your system.  It should be needed only if
+         you modified a \`.texi' or \`.texinfo' file, or any other file
+         indirectly affecting the aspect of the manual.  The spurious
+         call might also be the consequence of using a buggy \`make' (AIX,
+         DU, IRIX).  You might want to install the \`Texinfo' package or
+         the \`GNU make' package.  Grab either from any GNU archive site."
+    file=`echo "$*" | sed -n 's/.*-o \([^ ]*\).*/\1/p'`
+    if test -z "$file"; then
+      file=`echo "$*" | sed 's/.* \([^ ]*\) *$/\1/'`
+      file=`sed -n '/^@setfilename/ { s/.* \([^ ]*\) *$/\1/; p; q; }' $file`
+    fi
+    touch $file
+    ;;
+
+  *)
+    echo 1>&2 "\
+WARNING: \`$1' is needed, and you do not seem to have it handy on your
+         system.  You might have modified some files without having the
+         proper tools for further handling them.  Check the \`README' file,
+         it often tells you about the needed prerequirements for installing
+         this package.  You may also peek at any GNU archive site, in case
+         some other package would contain this missing \`$1' program."
+    exit 1
+    ;;
+esac
+
+exit 0
Index: ports/mail/fetchmail/files/patch-aclocal.m4
===================================================================
RCS file: patch-aclocal.m4
diff -N patch-aclocal.m4
--- /dev/null	Fri Mar 23 04:45:23 2001
+++ ports/mail/fetchmail/files/patch-aclocal.m4	Fri Mar 23 04:47:48 2001
@@ -0,0 +1,12 @@
+--- aclocal.m4	2001/03/20 09:46:26	1.3
++++ aclocal.m4	2001/03/23 11:09:05
+@@ -177,6 +177,9 @@
+ 		INSTOBJEXT=.mo
+ 	      fi
+ 	    fi
++	    if test "$gt_cv_func_gettext_libintl" = "yes"; then
++		INTLLIBS='-lintl'
++	    fi
+ 	])
+ 
+         if test "$CATOBJEXT" = "NONE"; then
Index: ports/mail/fetchmail/files/patch-configure
===================================================================
RCS file: patch-configure
diff -N patch-configure
--- ports/mail/fetchmail/files/patch-configure	Fri Mar 23 04:47:48 2001
+++ /dev/null	Fri Mar 23 04:45:23 2001
@@ -1,20 +0,0 @@
-
-$FreeBSD: ports/mail/fetchmail/files/patch-configure,v 1.1 2001/03/20 11:04:36 sobomax Exp $
-
---- configure	2001/03/20 10:48:56	1.1
-+++ configure	2001/03/20 10:50:20
-@@ -6714,10 +6714,10 @@
- s%@INSTALL_DATA@%$INSTALL_DATA%g
- s%@PACKAGE@%$PACKAGE%g
- s%@VERSION@%$VERSION%g
--s%@ACLOCAL@%$ACLOCAL%g
--s%@AUTOCONF@%$AUTOCONF%g
--s%@AUTOMAKE@%$AUTOMAKE%g
--s%@AUTOHEADER@%$AUTOHEADER%g
-+s%@ACLOCAL@%/usr/bin/true%g
-+s%@AUTOCONF@%/usr/bin/true%g
-+s%@AUTOMAKE@%/usr/bin/true%g
-+s%@AUTOHEADER@%/usr/bin/true%g
- s%@MAKEINFO@%$MAKEINFO%g
- s%@SET_MAKE@%$SET_MAKE%g
- s%@host@%$host%g

To Unsubscribe: send mail to majordomo@FreeBSD.org
with "unsubscribe freebsd-ports" in the body of the message




Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?20010323144918.I17216>